> For the complete documentation index, see [llms.txt](https://docs.ionicfirebaseapp.com/clothingapp/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionicfirebaseapp.com/clothingapp/clothing-app/push-notifications.md).

# Push Notifications

1. Go to <https://onesignal.com/>.
2. Create account or log in if you are already a registed user.
3. Click on 'Add New App' on the screen window.
4. You need to Create certificate or key ID for the IOS and Android.
5. SETUP android FCM key [click here](https://documentation.onesignal.com/docs/generate-a-google-server-api-key).
6. SETUP IOS certificate for push [click here](https://documentation.onesignal.com/docs/generate-a-google-server-api-key).
7. Once new app setup successfully, click on the newly created app and go to app-setting where you will find one signal app-id in keys/ids section.
8. Replace this key / id in your app.component.ts file, [this.oneSignal.startInit('230d3e93-0c29-49bd-ac82-ecea8612464e','714618018341');](https://ionicfirebaseapp.gitbooks.io/clothingapp/typescript.md)​

   Here the First parameter value key you get from one signal setting and second value is **Sender ID** that you get from Firebase. You can click on gear icon on Overview then click on Project Setting and go to Cloud Messaging Tab and copy the Sender ID.
9. Now open your account window in onesignal.com and go to new-message section where you can send notification.
10. If you want own Admin to use to send push notification instead of oneSingnal then you can use there API to do it or you can check our backend where we already have those stuff added.

​![](https://blobscdn.gitbook.com/v0/b/gitbook-28427.appspot.com/o/assets%2F-LC95RbePjJy8XahbneR%2F-LCT1OV2YHoKVrgKH-cd%2F-LCT1kBhNPnVvfHaodIk%2Fdoc3.png?alt=media\&token=548ae7fc-89fc-4855-9f03-6c85d1622d8a)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ionicfirebaseapp.com/clothingapp/clothing-app/push-notifications.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
